﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;
using System.Threading.Tasks;

namespace LOLAPP.Modele
{
    [DataContract]
    public class Champion
    {
        [DataMember]
        public string Name { get; private set; }
        [DataMember]
        public List<Ability> Abilities { get; private set; }

        public Champion(string name, List<Ability> abilities)
        {
            // Le constructeur de la classe Champion initialise le nom et les abilités du champion.
            Name = name;
            Abilities = abilities;
        }
        public Champion(string name)
        {
            // Le constructeur de la classe Champion initialise le nom et les abilités du champion.
            Name = name;
            Abilities = null;
        }
    }
}
